Subject: Re: Bug#195: windows client ignores ssh port

From: Matthias Kauer <[email-masked]>
Date: Mon, 24 Jun 2013 19:04:54 +0800

Alright,
I reverified this today.

So I go to Port Management in Vbox and select 17022 -> 22. I connect to 
ssh via port 17022 and putty successfully connects for verification that 
this works. I then start up x2go-client and enter (under session 
management -> session preferences) host: 127.0.0.2, port: 17022, session 
type:XFCE.
I then connect, enter my pw and wait.
I get an error window saying "Timeout connecting to 127.0.0.2" with 
title "Can not connect to 127.0.0.2:22" (wrong port here!)

I then change the port forward in Vbox and in x2go-client to 22 and now 
I can connect.

So again: VBox is representing the server here and I am manipulating the 
session profile, I am not sure where those global preferences that you 
are talking about are.

Best,
Matthias

On 21/6/2013 4:40 PM, Mike Gabriel wrote:
> tag #195 moreinfo
> found #195 4.0.0.3
> thanks
>
> Hi Matthias,
>
> On Mo 29 Apr 2013 14:52:01 CEST Matthias Kauer wrote:
>
>> Package: X2Go Client
>> Version: 4.0.0.3 (Qt - 4.8.1)
>>
>> I want to use x2go over port 17022. For testing I therefore set 
>> Virtualbox to forward 17022 -> 22 and entered 17022 as ssh port in 
>> the x2goclient's config. After a while, a connection timeout window 
>> appears detailing that 127.0.0.2:22 could not be reached. Having VBox 
>> forward 22 -> 22 and entering 22 in x2goclient resolved this.
>>
>> Best,
>> Matthias
>>
>> I am using Win7 64bit Host, Vbox 4.2.12, Xubuntu 12.10 guest
>> matthias@matthias-VirtualBox:~$ uname -a
>> Linux matthias-VirtualBox 3.5.0-27-generic #46-Ubuntu SMP Mon Mar 25 
>> 19:58:17 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
>
> thanks for your bug report.
>
> Please give us some feedback on the questions below:
>
>   o do you manipulate the SSH port in the global X2Go Client 
> configuration
>     (Windows Registry folder ,,settings'')?
>   o or do you manipulate the SSH port in the session profile?
>   o (I presume a yes for first of the two questions above)
>
> Neither am I getting clean the setup you have.
>
>   o is the VBox VM your X2Go Server?
>   o or your X2Go Client?
>
> I hope to get your problem fixed with the next X2Go Client release, so 
> a quick response is appreciated.
>
> Mike
>
>